Name:           mediawiki-WatchSubpages
# There is no version. Using 1.0
Version:        1.0
Release:        1.20080521svn35078%{?dist}
Summary:        Enhances the Mediawiki parser with logical functions

Group:          Applications/Internet
# COPYING shows that it isn't *exactly* WTFPL, but its very close.
License:        GPLv2+
URL:            http://www.mediawiki.org/wiki/Extension:WatchSubpages
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  svn export -r 35078 http://svn.wikimedia.org/svnroot/mediawiki/trunk/extensions/WatchSubpages/ WatchSubpages-35078
#  tar -czvf mediawiki-WatchSubpages-20080521.tar.gz WatchSubpages-35078
Source0:        mediawiki-WatchSubpages-20080521.tar.gz
Source1:        http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       mediawiki >= 1.11

%description
ParserFunctions extension enhances parser with logical functions. For
instructions on how to use it, please see
http://meta.wikimedia.org/wiki/Help:ParserFunctions.

This extension is being used on one or more of Wikimedia's wikis. It means that
the extension is stable and works well enough to be used by such high traffic
websites.


%prep
%setup -q -n WatchSubpages-35078
echo 'To complete installation of %{name}, add the following line to LocalSettings.php:

  require_once("$IP/extensions/WatchSubpages/WatchSubpages.php");

for each MediaWiki instance you wish to install %{name} on.' > README.fedora


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mediawiki/extensions/WatchSubpages
install -cpm 644 WatchSubpages.i18n.php WatchSubpages.php WatchSubpages_body.php \
    $RPM_BUILD_ROOT%{_datadir}/mediawiki/extensions/WatchSubpages
cp %{SOURCE1} COPYING


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_datadir}/mediawiki/extensions/WatchSubpages
%doc COPYING README.fedora



%changelog
* Tue May 20 2008 Ian Weller <ianweller@gmail.com> 1.0-1.20080521svn35078
- Initial package build.
